%global npmname which
%global npminstdir /usr/lib/node_modules/%{npmname}

Summary: Find the first instance of an executable in the PATH 
Name: nodejs-%{npmname}
Version: 1.0.5
Release: 1%{?dist}
Group: Development/Languages
License: MIT
URL: http://github.com/isaacs/node-which
Source0: http://registry.npmjs.org/%{npmname}/-/%{npmname}-%{version}.tgz
BuildArch: noarch
Requires: nodejs
Provides: nodejs-%{npmname} = %{version}

%description
Like which(1) unix command.
Finds the first instance of a specified executable in the PATH
environment variable.  Does not cache the results, so `hash -r` is not
needed when the PATH changes.

%prep
%setup -q -n package

%build

%install
# Run the scripts (except test scripts)

# Setup and copy packages over
mkdir -p %{buildroot}/%{npminstdir}
cp -pr which.js bin package.json %{buildroot}/%{npminstdir}

# Setup the dependancies

# Setup Binaries
# Dont put this version of which in /usr/bin, that would be "bad"

%files
%doc LICENSE README.md
%{npminstdir}

%changelog
* Wed Nov 14 2012 Troy Dawson <tdawson@redhat.com> - 1.0.5-1
- Initial build using nodejs spec template

